<?
	
	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
		echo "<title>Новости игры</title>"; 
		echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
		echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="razd"></div>';
		echo '<div class="top-nav1"><b>Новости</b></div>';
		echo '<div class="razd"></div>';
		switch ($act) {
	default:
		if($level>=8)
		echo '<center><div class="blok2"><a href="?act=add"><b>Новая новость</b></a></div></center>';
			$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `news`;"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `news` ORDER BY `time` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."'");
					$f = mysql_fetch_array($q);
					$komm = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_posts` WHERE `id_theme`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['theme'])))))))."';"), 0);
					echo '<center><div class="window1">';
					echo ''.rasa(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['rasa'])))))))).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="' . crasa(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['rasa']) ))))))). '">' . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login'] ))))))). '</span></a> ['.dates(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['time'])))))))).']<br/>
					'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['text']))))))).'</div></center><div class="razd"></div><div class="blok"><a href="../forum/postlist.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['theme']))))))).'"><b>Коментарии</b></a> ['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($komm))))))).']</div>';
				

					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?'); 
			}
			else
			{
				div('<center><b>Новостей нет!</b></center>','window');
			}

break;
case 'add':
if($level>=8){
	  	if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="news.php?act=add" method="POST">';
			echo 'Заголовок:<br/><input type="text" value="" name="title"/><br/>Новость:<br/><input type="text" value="" name="news"/><br/>Тип новости:<br/><select name="type"><option value="1">Новость</option><option value="2">Акция</option><option value="3">Конкурс</option></select><br/><br/><input type="submit" name="submit" value="Разместить"/></form>';
			echo '</div></center>';
			
	}
	else
	{
			$news = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['news'])))))));
			$title = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['title'])))))));
			$type = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['type'])))))));
			$maxtheme = mysql_result(mysql_query("SELECT MAX(id) FROM `forum_theme`;"), 0);
$error = false;
if( trim($_POST['title']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Заголовок</b></ins></font><br/>';
    
}

if(!empty($_POST['title']) && (mb_strlen($_POST['title']) > 50 || mb_strlen($_POST['title']) < 5 ||mb_strlen($_POST['title']) > 50))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Заголовок</b></ins></font>  минимум 5 символов или букв<br/>';
  
}

if(!empty($_POST['title']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['title'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Заголовок</b></font> содержит запрещенные символы<br/>';
    
}

if( trim($_POST['news']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Новость</b></ins></font><br/>';
    
}

if(!empty($_POST['news']) && (mb_strlen($_POST['news']) > 100 || mb_strlen($_POST['news']) < 5 || mb_strlen($_POST['news']) > 100))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Новость</b></ins></font>  минимум <font color="#4EEE94">[5]</font> символов или букв<br/>';
  
}

if(!empty($_POST['news']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['news'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>[Новость]</b></font> содержит запрещенные символы<br/>';
    
}

	  		if (empty($error))
		{
		
			mysql_query("INSERT INTO `news` SET
			            `uid`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) ."',
						`time`='". time() ."',
						`theme`='".($maxtheme+1) ."',
						`title`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($title)))))))) ."',
						`type`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type))))))) . "',
			            `text`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($news)))))))) ."';");
							
			mysql_query("INSERT INTO `forum_theme` SET
						`id`='". ($maxtheme+1) ."',
			            `uid`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) ."',
						`id_podf`= \"5\",
						`time`='". time() ."',
						`lasttime`='". time() ."',
						`name`='Новость от ". date(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim('d.m.o',$realtime)))))))) ."',
						`msgs`=1;");
						
			mysql_query("INSERT INTO `forum_posts` SET
			            `uid`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) ."',
						`time`='" . time() . "',
						`id_theme`='". ($maxtheme+1). "',
						`title`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($title)))))))) ."',
						`type`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($type))))))) . "',
			            `text`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($news)))))))) ."';");
						
			mysql_query("UPDATE `forum_podf` SET `themes`=themes+1 WHERE `id`=5;");

			
			header('Location: news.php');

		}
		else
		{
			echo '<div class="blok3"><b>' . $error. '</b></div>';
		}
	}
	echo '<div class="razd"></div><div class="blok"><a href="news.php"><b>Назад</b></a></div>';
}
break;
case 'new':
			$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `news` WHERE `time` > '" . ($realtime - 86400) . "';"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `news` WHERE `time` > '" . ($realtime - 86400) . "' ORDER BY `time` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string($row['uid']))))))."'");
					$f = mysql_fetch_array($q);
					$komm = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_posts` WHERE `id_theme`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['theme'])))))))."';"), 0);
					echo '<center><div class="window1">';
					echo '<span style="color: #756861; font-size: 20px;"><span style="color: #555;"><b>'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($row['title'])))))))).'</b></span></span><br/>'; 
					if($row['type']==1)echo '<span class="green">Новость</span><br/>';
					if($row['type']==2)echo '<span class="blue">Акция</span><br/>';
					if($row['type']==3)echo '<span class="red">Конкурс</span><br/>';
					echo'('.dates(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['time'])))))))).')<br/><span style="color: #756861; font-size: 17px;"><span style="color: #555;"><b>'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($row['text'])))))))).'</b></span></span><br/><b>Добавил:</b> '.rasa(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['rasa'])))))))).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="' . crasa(check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['rasa'])))))))) . '"><ins>' . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))) . '</ins></span></a>';
					echo '</div></center><div class="razd"></div>';
					echo '<div class="blok"><a href="../forum/postlist.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['theme']))))))).'"><b>Коментарии</b></a> <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($komm)))))))).']</font></div>'; 

					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?'); 
			}
			else
			{
				div('<center><b>Новых новостей нет!</b></center>','ch');
			}
		}
	}
		
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>